Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Dualserver provides an simple DHCP and DNS Server.
Name:		dualserver
Version:	1.1
Release:	2
License:	GNU/GPL 
URL:		http://sourceforge.net/projects/dhcp-dns-server
Group:		System/Networking
Source0:	%{name}V%{version}.tar.gz
Patch0:		dualserver-extend-1.1.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gcc

%description
DHCP Server alots the IP addresses to local computers, while DNS server resolves
them. This server does both, with the added advantage being, both DHCP and DNS Server
are allways in Sync. This program should be installed on a machine,which is manually
configured for IP Address, DNS & router. This program detects these settings from server
machine (If you want diffrent setting for clients, edit ini file) and uses them for
configuring other machines on local network. DNS server can automatically resolve local
machines as they boot.

%prep
%setup -q -n %{name}
%patch0
rm -f dualserver

%build
g++ ${CXXFLAGS} ${LDFLAGS} dualserver.cpp -o dualserver

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_prefix/sbin
install -m 755 dualserver $RPM_BUILD_ROOT%_prefix/sbin
mkdir -p $RPM_BUILD_ROOT%_sysconfdir
install -m 644 dualserver.ini $RPM_BUILD_ROOT%_sysconfdir/
mkdir -p $RPM_BUILD_ROOT/var/state
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc README
%_prefix/sbin/dualserver
%config(noreplace) %_sysconfdir/dualserver.ini

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 05 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.1-2
- Fixed Error with Language Setting
* Sat Jan 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.1-1
- Version Update
* Thu Dec 08 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.00-1
- Initial Release
